import React from 'react';
import ImageCarousel from './ImageCarousel';
import styles from './StepWithCarousel.module.css';

export default function StepWithCarousel({ title, children, images }) {
  return (
    <div className={styles.step}>
      <div className={styles.text}>
        {children}
      </div>
      <div className={styles.carousel}>
        <ImageCarousel images={images} />
      </div>
    </div>
  );
}